Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Ping_Pull_Supplier Class Reference

`#include <CEC_Reactive_SupplierControl.h>`

Inheritance diagram for TAO_CEC_Ping_Pull_Supplier:

[legend]
Collaboration diagram for TAO_CEC_Ping_Pull_Supplier:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Ping_Pull_Supplier (TAO_CEC_SupplierControl *control)
virtual void | work (TAO_CEC_ProxyPullConsumer *consumer ACE_ENV_ARG_DECL)
## Private Attributes
TAO_CEC_SupplierControl * | control_

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_Ping_Pull_Supplier::TAO_CEC_Ping_Pull_Supplier | ( | TAO_CEC_SupplierControl * | control | ) |

## Member Function Documentation

void TAO_CEC_Ping_Pull_Supplier::work | ( | TAO_CEC_ProxyPullConsumer *consumer | ACE_ENV_ARG_DECL | ) | `[virtual]`

## Member Data Documentation

TAO_CEC_SupplierControl* TAO_CEC_Ping_Pull_Supplier::control_`[private]`

The documentation for this class was generated from the following files:

- CEC_Reactive_SupplierControl.h
- CEC_Reactive_SupplierControl.cpp
- CEC_Reactive_SupplierControl.i